View Issue Details

IDProjectCategoryView StatusLast Update
0006886Talermerchant backend API (C)public2021-08-24 16:23
Reporterttn Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinuxOSDebianOS VersionBullseye/Sid
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006886: "make check" fails at test_merchant_api
DescriptionHEAD at 7c4dced359fcb4888749a737a6cb3041894c37bf
logs attached
TagsNo tags attached.

Activities

ttn

2021-05-24 07:35

developer  

.ttn.merchant-make-check.log (7,421 bytes)   
-*- mode: compilation; default-directory: "~/build/GNU/T/merchant/" -*-
Compilation started at Mon May 24 07:22:24

make check PGHOST=$HOME/pg TMPDIR=$HOME/tmp PATH=$HOME/t/bin:$PATH
Makefile:926: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:921: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:926: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:936: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Making check in .
make[1]: Entering directory '/home/ttn/build/GNU/T/merchant'
Makefile:926: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:921: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:926: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:936: warning: overriding recipe for target 'doxygen-doc/taler-merchant.tag'
Makefile:931: warning: ignoring old recipe for target 'doxygen-doc/taler-merchant.tag'
make[1]: Leaving directory '/home/ttn/build/GNU/T/merchant'
Making check in src
make[1]: Entering directory '/home/ttn/build/GNU/T/merchant/src'
Making check in include
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/include'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/include'
Making check in mustach
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make  test_mustach_jansson run-original-tests.sh
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
  CC       test_mustach_jansson.o
  CCLD     test_mustach_jansson
make[3]: Nothing to be done for 'run-original-tests.sh'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make  check-TESTS
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make[4]: Entering directory '/home/ttn/build/GNU/T/merchant/src/mustach'
SKIP: run-original-tests.sh
PASS: test_mustach_jansson
============================================================================
Testsuite summary for taler-merchant 0.8.0
============================================================================
# TOTAL: 2
# PASS:  1
# SKIP:  1
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[4]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/mustach'
Making check in backenddb
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make  test-merchantdb-postgres
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
  CC       test_merchantdb.o
  CCLD     test-merchantdb-postgres
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make  check-TESTS
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[4]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
PASS: test-merchantdb-postgres
============================================================================
Testsuite summary for taler-merchant 0.8.0
============================================================================
# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[4]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backenddb'
Making check in backend
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/backend'
make[2]: Nothing to be done for 'check'.
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/backend'
Making check in lib
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/lib'
make  test_merchant_api_common
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/lib'
  CC       test_merchant_api_common.o
  CCLD     test_merchant_api_common
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/lib'
make  check-TESTS
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/lib'
make[4]: Entering directory '/home/ttn/build/GNU/T/merchant/src/lib'
PASS: test_merchant_api_common
============================================================================
Testsuite summary for taler-merchant 0.8.0
============================================================================
# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[4]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/lib'
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/lib'
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/lib'
Making check in testing
make[2]: Entering directory '/home/ttn/build/GNU/T/merchant/src/testing'
make  test_merchant_api  test-merchant-walletharness.sh test_merchant_instance_response.sh test_merchant_product_creation.sh test_merchant_order_creation.sh
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/testing'
  CC       test_merchant_api.o
  CCLD     test_merchant_api
make[3]: Nothing to be done for 'test-merchant-walletharness.sh'.
make[3]: Nothing to be done for 'test_merchant_instance_response.sh'.
make[3]: Nothing to be done for 'test_merchant_product_creation.sh'.
make[3]: Nothing to be done for 'test_merchant_order_creation.sh'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/testing'
make  check-TESTS
make[3]: Entering directory '/home/ttn/build/GNU/T/merchant/src/testing'
make[4]: Entering directory '/home/ttn/build/GNU/T/merchant/src/testing'
FAIL: test_merchant_api
SKIP: test-merchant-walletharness.sh
SKIP: test_merchant_instance_response.sh
SKIP: test_merchant_product_creation.sh
SKIP: test_merchant_order_creation.sh
============================================================================
Testsuite summary for taler-merchant 0.8.0
============================================================================
# TOTAL: 5
# PASS:  0
# SKIP:  4
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See src/testing/test-suite.log
Please report to taler-bug@gnunet.org
============================================================================
make[4]: *** [Makefile:1052: test-suite.log] Error 1
make[4]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/testing'
make[3]: *** [Makefile:1160: check-TESTS] Error 2
make[3]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/testing'
make[2]: *** [Makefile:1269: check-am] Error 2
make[2]: Leaving directory '/home/ttn/build/GNU/T/merchant/src/testing'
make[1]: *** [Makefile:411: check-recursive] Error 1
make[1]: Leaving directory '/home/ttn/build/GNU/T/merchant/src'
make: *** [Makefile:472: check-recursive] Error 1

Compilation exited abnormally with code 2 at Mon May 24 07:22:54
.ttn.merchant-make-check.log (7,421 bytes)   
test-suite.log.gz (76,136 bytes)

Christian Grothoff

2021-05-25 20:18

manager   ~0017896

Should be fixed in f0fe4e8..5e1d3d0

Issue History

Date Modified Username Field Change
2021-05-24 07:35 ttn New Issue
2021-05-24 07:35 ttn Status new => assigned
2021-05-24 07:35 ttn Assigned To => Christian Grothoff
2021-05-24 07:35 ttn File Added: .ttn.merchant-make-check.log
2021-05-24 07:35 ttn File Added: test-suite.log.gz
2021-05-25 20:18 Christian Grothoff Status assigned => resolved
2021-05-25 20:18 Christian Grothoff Resolution open => fixed
2021-05-25 20:18 Christian Grothoff Fixed in Version => 0.9
2021-05-25 20:18 Christian Grothoff Note Added: 0017896
2021-05-25 20:18 Christian Grothoff Target Version => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:01 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed